LLVM: lldb::SBLaunchInfo Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBLaunchInfo Class Reference

`#include <SBLaunchInfo.h>`

Collaboration diagram for lldb::SBLaunchInfo:
[legend]

## Public Member Functions
| SBLaunchInfo (const char **argv)
| ~SBLaunchInfo ()
lldb::pid_t | GetProcessID ()
uint32_t | GetUserID ()
uint32_t | GetGroupID ()
bool | UserIDIsValid ()
bool | GroupIDIsValid ()
void | SetUserID (uint32_t uid)
void | SetGroupID (uint32_t gid)
SBFileSpec | GetExecutableFile ()
void | SetExecutableFile (SBFileSpec exe_file, bool add_as_first_arg)
SBListener | GetListener ()
void | SetListener (SBListener &listener)
uint32_t | GetNumArguments ()
const char * | GetArgumentAtIndex (uint32_t idx)
void | SetArguments (const char **argv, bool append)
uint32_t | GetNumEnvironmentEntries ()
const char * | GetEnvironmentEntryAtIndex (uint32_t idx)
void | SetEnvironmentEntries (const char **envp, bool append)
void | Clear ()
const char * | GetWorkingDirectory () const
void | SetWorkingDirectory (const char *working_dir)
uint32_t | GetLaunchFlags ()
void | SetLaunchFlags (uint32_t flags)
const char * | GetProcessPluginName ()
void | SetProcessPluginName (const char *plugin_name)
const char * | GetShell ()
void | SetShell (const char *path)
bool | GetShellExpandArguments ()
void | SetShellExpandArguments (bool expand)
uint32_t | GetResumeCount ()
void | SetResumeCount (uint32_t c)
bool | AddCloseFileAction (int fd)
bool | AddDuplicateFileAction (int fd, int dup_fd)
bool | AddOpenFileAction (int fd, const char *path, bool read, bool write)
bool | AddSuppressFileAction (int fd, bool read, bool write)
void | SetLaunchEventData (const char *data)
const char * | GetLaunchEventData () const
bool | GetDetachOnError () const
void | SetDetachOnError (bool enable)

## Protected Member Functions
lldb_private::ProcessLaunchInfo & | ref ()
const lldb_private::ProcessLaunchInfo & | ref () const

## Protected Attributes
ProcessLaunchInfoSP | m_opaque_sp

## Friends
class | SBPlatform
class | SBTarget

## Detailed Description

Definition at line 20 of file SBLaunchInfo.h.

## Constructor & Destructor Documentation

lldb::SBLaunchInfo::SBLaunchInfo | ( | const char ** | argv | ) |

lldb::SBLaunchInfo::~SBLaunchInfo | ( |  | ) |

## Member Function Documentation

bool lldb::SBLaunchInfo::AddCloseFileAction | ( | int | fd | ) |

bool lldb::SBLaunchInfo::AddDuplicateFileAction | ( | int | fd,
|  | int | dup_fd
| ) |  |

bool lldb::SBLaunchInfo::AddOpenFileAction | ( | int | fd,
|  | const char * | path,
|  | bool | read,
|  | bool | write
| ) |  |

bool lldb::SBLaunchInfo::AddSuppressFileAction | ( | int | fd,
|  | bool | read,
|  | bool | write
| ) |  |

void lldb::SBLaunchInfo::Clear | ( |  | ) |

const char* lldb::SBLaunchInfo::GetArgumentAtIndex | ( | uint32_t | idx | ) |

bool lldb::SBLaunchInfo::GetDetachOnError | ( |  | ) | const

const char* lldb::SBLaunchInfo::GetEnvironmentEntryAtIndex | ( | uint32_t | idx | ) |

SBFileSpec lldb::SBLaunchInfo::GetExecutableFile | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetGroupID | ( |  | ) |

const char* lldb::SBLaunchInfo::GetLaunchEventData | ( |  | ) | const

uint32_t lldb::SBLaunchInfo::GetLaunchFlags | ( |  | ) |

SBListener lldb::SBLaunchInfo::GetListener | ( |  | ) |

Get the listener that will be used to receive process events.

If no listener has been set via a call to SBLaunchInfo::SetListener(), then an invalid SBListener will be returned (SBListener::IsValid() will return false). If a listener has been set, then the valid listener object will be returned.

uint32_t lldb::SBLaunchInfo::GetNumArguments | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetNumEnvironmentEntries | ( |  | ) |

lldb::pid_t lldb::SBLaunchInfo::GetProcessID | ( |  | ) |

const char* lldb::SBLaunchInfo::GetProcessPluginName | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetResumeCount | ( |  | ) |

const char* lldb::SBLaunchInfo::GetShell | ( |  | ) |

bool lldb::SBLaunchInfo::GetShellExpandArguments | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetUserID | ( |  | ) |

const char* lldb::SBLaunchInfo::GetWorkingDirectory | ( |  | ) | const

bool lldb::SBLaunchInfo::GroupIDIsValid | ( |  | ) |

lldb_private::ProcessLaunchInfo& lldb::SBLaunchInfo::ref | ( |  | ) |
| protected

const lldb_private::ProcessLaunchInfo& lldb::SBLaunchInfo::ref | ( |  | ) | const
| protected

void lldb::SBLaunchInfo::SetArguments | ( | const char ** | argv,
|  | bool | append
| ) |  |

void lldb::SBLaunchInfo::SetDetachOnError | ( | bool | enable | ) |

void lldb::SBLaunchInfo::SetEnvironmentEntries | ( | const char ** | envp,
|  | bool | append
| ) |  |

void lldb::SBLaunchInfo::SetExecutableFile | ( | SBFileSpec | exe_file,
|  | bool | add_as_first_arg
| ) |  |

Set the executable file that will be used to launch the process and optionally set it as the first argument in the argument vector.

This only needs to be specified if clients wish to carefully control the exact path will be used to launch a binary. If you create a target with a symlink, that symlink will get resolved in the target and the resolved path will get used to launch the process. Calling this function can help you still launch your process using the path of your choice.

If this function is not called prior to launching with SBTarget::Launch(...), the target will use the resolved executable path that was used to create the target.

Parameters

  [in] | exe_file | The override path to use when launching the executable.
  [in] | add_as_first_arg | If true, then the path will be inserted into the argument vector prior to launching. Otherwise the argument vector will be left alone.

void lldb::SBLaunchInfo::SetGroupID | ( | uint32_t | gid | ) |

void lldb::SBLaunchInfo::SetLaunchEventData | ( | const char * | data | ) |

void lldb::SBLaunchInfo::SetLaunchFlags | ( | uint32_t | flags | ) |

void lldb::SBLaunchInfo::SetListener | ( | SBListener & | listener | ) |

Set the listener that will be used to receive process events.

By default the SBDebugger, which has a listener, that the SBTarget belongs to will listen for the process events. Calling this function allows a different listener to be used to listen for process events.

void lldb::SBLaunchInfo::SetProcessPluginName | ( | const char * | plugin_name | ) |

void lldb::SBLaunchInfo::SetResumeCount | ( | uint32_t | c | ) |

void lldb::SBLaunchInfo::SetShell | ( | const char * | path | ) |

void lldb::SBLaunchInfo::SetShellExpandArguments | ( | bool | expand | ) |

void lldb::SBLaunchInfo::SetUserID | ( | uint32_t | uid | ) |

void lldb::SBLaunchInfo::SetWorkingDirectory | ( | const char * | working_dir | ) |

bool lldb::SBLaunchInfo::UserIDIsValid | ( |  | ) |

## Friends And Related Function Documentation

friend class SBPlatform
| friend

Definition at line 141 of file SBLaunchInfo.h.

friend class SBTarget
| friend

Definition at line 142 of file SBLaunchInfo.h.

## Member Data Documentation

ProcessLaunchInfoSP lldb::SBLaunchInfo::m_opaque_sp
| protected

Definition at line 148 of file SBLaunchInfo.h.

The documentation for this class was generated from the following file:

- SBLaunchInfo.h